const app = require('../../utils/util.js');
const tool = require('../../utils/tool.js');
Page({
  data: {
    isInit: false
  },
  isOk() {
    tool.isLogin().then(result => {
      console.log(result)
      this.setData({
        loginStatus: true
      })
      tool.isFinishInfo().then(result2 => {
        this.setData({
          infoStatus: true
        })
        tool.isFinishTargetInfo().then(redult3 => {
          this.setData({
            targetInfoStatus: true
          })
        }).catch(err => {
          this.setData({
            targetInfoStatus: false
          })
        })
      }).catch(err => {
        this.setData({
          infoStatus: false
        })
      })
    }).catch(err => {
      console.log(err)
      this.setData({
        loginStatus: false
      })
    })
  },
  baoming() {
    if (!this.data.loginStatus) {
      wx.showModal({
        title: '您还未登录',
        showCancel: false,
        success(res) {
          if (res.confirm) {
            wx.redirectTo({
              url: '/pages/personal/personal',
            })
          }
        }
      });
      return false;
    }
    if (!this.data.infoStatus) {
      wx.showModal({
        title: '您还未完善个人信息',
        showCancel: false,
        success(res) {
          if (res.confirm) {
            wx.redirectTo({
              url: '/pages/personInfo/personInfo',
            })
          }
        }
      });
      return false;
    }
    if (!this.data.targetInfoStatus) {
      wx.showModal({
        title: '您还未完善择偶信息',
        showCancel: false,
        success(res) {
          if (res.confirm) {
            wx.redirectTo({
              url: '/pages/targetInfo/targetInfo',
            })
          }
        }
      });
      return false;
    }
    wx.requestSubscribeMessage({
      tmplIds: ['YNGZW3voCNtjvTkhi2xbbVinJkjFKcILEG7uFC_xz2Y'],
      success: (res) => {
        wx.request({
          url: app.globalData.publicUrl + '/wx/actives/' + this.data.openid + '/' + this.data.id + '/enter',
          method: "get",
          success: (res) => {
            if (res.data.code == 0) {
              wx.redirectTo({
                url: '/pages/registrationSuccess/registrationSuccess',
              })
            }
          }
        })
      },
      fail: (res1) => {
        console.log(res1, '失败了')
        wx.request({
          url: app.globalData.publicUrl + '/wx/actives/' + this.data.openid + '/' + this.data.id + '/enter',
          method: "get",
          success: (res) => {
            if (res.data.code == 0) {
              wx.redirectTo({
                url: '/pages/registrationSuccess/registrationSuccess',
              })
            }
          }
        })
      }
    })

  },
  async onLoad(options) {
    console.log(options)
    tool.openidStatus().then(result => {
      this.setData({
        openid: result[0],
        sessionkey: result[1],
        activeOpenid: options.openId,
        isInit: true
      })
      this.isOk();
      this.getActivies(options.id);
    })
  },
  getActivies(id2) {
    wx.request({
      url: app.globalData.publicUrl + '/wx/actives/' + this.data.openid + '/' + id2 + '/detail',
      method: "get",
      success: (res) => {
        if (res.data.code == 0) {
          console.log(res, '查询活动详情')
          this.setData({
            id: res.data.activeRoll.id,
            actualCount: res.data.activeRoll.actualCount,
            planCount: res.data.activeRoll.planCount,
            activeStart: res.data.activeRoll.activeStart,
            address: res.data.activeRoll.address,
            remark: res.data.activeRoll.remark,
            posterUrl:res.data.activeRoll.posterUrl
          })
          console.log(this.data.isOpenid)
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})